searchNodes=[{"doc":"LiveState LiveState is a library to manage application state for a non elixir hosted application. A LiveState application roughly follows the pattern of Event Driven Architecture. Rather than requests and reponses, in a LiveState application your client emits Events and receives changes to state (and possibly additional events). This allows your client code to concern itself only with how to render the appropriate state and dispatch the appropriate events. The application state must be serializable as JSON. Currently the entire state is returned on each event, but future versions will implement JSON patch to send efficient updates. Usage LiveState uses Phoenix Channels to implement communication from the client. To use it, you'll want to start with a channel that uses the LiveState.Channel behaviour. You'll also want to use a client library to connect to a LiveState application. Currently this exists for javascript in the live-state","ref":"LiveState.html","title":"LiveState","type":"module"},{"doc":"To build a LiveState application, you'll first want to add a channel that implements this behaviour.","ref":"LiveState.Channel.html","title":"LiveState.Channel","type":"behaviour"},{"doc":"Receives an event an payload from the client and current state. Returns the new state along with (optionally) a single or list of LiveState.Event to dispatch to client","ref":"LiveState.Channel.html#c:handle_event/3","title":"LiveState.Channel.handle_event/3","type":"callback"},{"doc":"Receives pubsub message and current state. Returns new state","ref":"LiveState.Channel.html#c:handle_message/2","title":"LiveState.Channel.handle_message/2","type":"callback"},{"doc":"Returns the initial application state. Called just after connection","ref":"LiveState.Channel.html#c:init/1","title":"LiveState.Channel.init/1","type":"callback"},{"doc":"The key on assigns to hold application state. Defaults to state .","ref":"LiveState.Channel.html#c:state_key/0","title":"LiveState.Channel.state_key/0","type":"callback"},{"doc":"Represents a CustomEvent to be returned from a reply and dispatched on the client.","ref":"LiveState.Event.html","title":"LiveState.Event","type":"module"}]